-- This is a list of all the RF.servers. It is much much easier to keep it all in here --

local RF = select(2, ...)
RF.servers = {}
local na_east = {"NA", "EAST"}
local na_west = {"NA", "WEST"}
local br = {"BR", nil}
local la = {"LA", nil}
local oc = {"OC", nil}

local postColour =  ' |cffFF6EB4'

RF.servers = {
    -- North America: Old New York City
    AeriePeak = na_east,
    AltarofStorms = na_east,
    AlteracMountains = na_east,
    Andorhal = na_east,
    Anetheron = na_east,
    Anvilmar = na_east,
    Archimonde = na_east,
    Area52 = na_east,
    Arygos = na_east,
    Auchindoun = na_east,
    Azuremyst = na_east,
    BlackDragonflight = na_east,
    BlackwingLair = na_east,
    BladesEdge = na_east,
    BloodFurnace = na_east,
    Coilfang = na_east,
    Dalaran = na_east,
    Dalvengyr = na_east,
    Dawnbringer = na_east,
    Deathwing = na_east,
    DemonSoul = na_east,
    Dentarg = na_east,
    Doomhammer = na_east,
    Duskwood = na_east,
    Executus = na_east,
    Exodar = na_east,
    Fizzcrank = na_east,
    Galakrond = na_east,
    Ghostlands = na_east,
    Gnomeregan = na_east,
    GrizzlyHills = na_east,
    Haomarush = na_east,
    Icecrown = na_east,
    Jaedenar = na_east,
    KelThuzad = na_east,
    Khadgar = na_east,
    Lethon = na_east,
    MalGanis = na_east,
    Norgannon = na_east,
    Onyxia = na_east,
    Scilla = na_east,
    Sentinels = na_east,
    ShatteredHalls = na_east,
    SteamwheedleCartel = na_east,
    Tanaris = na_east,
    Terokkar = na_east,
    TheScryers = na_east,
    TheUnderbog = na_east,
    TheVentureCo = na_east,
    Thrall = na_east,
    Turalyon = na_east,
    Uldaman = na_east,
    Undermine = na_east,
    Velen = na_east,
    Ysera = na_east,
    Ysondre = na_east,
    Zangarmarsh = na_east,
    Zuluhed = na_east,
    -- North America: Old Chicago
    Agamaggan = na_east,
    Aggramar = na_east,
    Alexstrasza = na_east,
    Alleria = na_east,
    ArgentDawn = na_east,
    Arthas = na_east,
    Azgalor = na_east,
    Azshara = na_east,
    Baelgun = na_east,
    Balnazzar = na_east,
    Blackhand = na_east,
    BleedingHollow = na_east,
    Bloodhoof = na_east,
    BurningBlade = na_east,
    BurningLegion = na_east,
    Chogall = na_east,
    DarkIron = na_east,
    Destromath = na_east,
    Dethecus = na_east,
    Detheroc = na_east,
    Durotan = na_east,
    EarthenRing = na_east,
    Elune = na_east,
    EmeraldDream = na_east,
    Eonar = na_east,
    Eredar = na_east,
    Garona = na_east,
    Gilneas = na_east,
    Gorefiend = na_east,
    Gorgonnash = na_east,
    Greymane = na_east,
    Guldan = na_east,
    Hellscream = na_east,
    Illidan = na_east,
    Kaelthas = na_east,
    Kalecgos = na_east,
    Kargath = na_east,
    KirinTor = na_east,
    LaughingSkull = na_east,
    Lightninghoof = na_east,
    LightningsBlade = na_east,
    Llane = na_east,
    Lothar = na_east,
    Madoran = na_east,
    Maelstrom = na_east,
    Magtheridon = na_east,
    Malfurion = na_east,
    Malygos = na_east,
    Mannoroth = na_east,
    Medivh = na_east,
    Moonrunner = na_east,
    Nazjatar = na_east,
    Ravencrest = na_east,
    Sargeras = na_east,
    Shadowmoon = na_east,
    ShatteredHand = na_east,
    Skullcrusher = na_east,
    Spinebreaker = na_east,
    Staghelm = na_east,
    Stormrage = na_east,
    Stormreaver = na_east,
    Thunderhorn = na_east,
    Thunderlord = na_east,
    Trollbane = na_east,
    TwistingNether = na_east,
    Ursin = na_east,
    Warsong = na_east,
    Whisperwind = na_east,
    Wildhammer = na_east,
    Zuljin = na_east,
    -- North America: Old Phoenix
    Antonidas = na_west,
    Anubarak = na_west,
    BlackwaterRaiders = na_west,
    Bladefist = na_west,
    BoreanTundra = na_west,
    Cairne = na_west,
    CenarionCircle = na_west,
    Cenarius = na_west,
    Darrowmere = na_west,
    DrakTharon = na_west,
    Drenden = na_west,
    EchoIsles = na_west,
    Farstriders = na_west,
    Fenris = na_west,
    Garrosh = na_west,
    Hydraxis = na_west,
    Hyjal = na_west,
    Korialstrasz = na_west,
    Lightbringer = na_west,
    Maiev = na_west,
    Misha = na_west,
    MokNathal = na_west,
    MoonGuard = na_west,
    Nazgrel = na_west,
    Nesingwary = na_west,
    Nordrassil = na_west,
    Queldorei = na_west,
    Ravenholdt = na_west,
    Rivendare = na_west,
    Shandris = na_west,
    Shuhalo = na_west,
    SistersofElune = na_west,
    TheForgottenCoast = na_west,
    Tortheldrin = na_west,
    Uther = na_west,
    Vashj = na_west,
    Winterhoof = na_west,
    WyrmrestAccord = na_west,
    -- North America: Old Los Angeles
    Aegwynn = na_west,
    Akama = na_west,
    Arathor = na_west,
    AzjolNerub = na_west,
    Blackrock = na_west,
    Bloodscalp = na_west,
    Bonechewer = na_west,
    Boulderfist = na_west,
    Bronzebeard = na_west,
    Chromaggus = na_west,
    Crushridge = na_west,
    Daggerspine = na_west,
    Darkspear = na_west,
    Draenor = na_west,
    Dragonblight = na_west,
    Dragonmaw = na_west,
    Draka = na_west,
    Drakthul = na_west,
    Dunemaul = na_west,
    Eitrigg = na_west,
    EldreThalas = na_west,
    Feathermoon = na_west,
    Firetree = na_west,
    Frostmane = na_west,
    Frostwolf = na_west,
    Garithos = na_west,
    Gurubashi = na_west,
    Hakkar = na_west,
    KhazModan = na_west,
    Kiljaeden = na_west,
    Kilrogg = na_west,
    Korgath = na_west,
    KulTiras = na_west,
    Malorne = na_west,
    Mugthol = na_west,
    Muradin = na_west,
    Nathrezim = na_west,
    Nerzhul = na_west,
    Perenolde = na_west,
    Proudmoore = na_west,
    Rexxar = na_west,
    Runetotem = na_west,
    ScarletCrusade = na_west,
    Senjin = na_west,
    ShadowCouncil = na_west,
    Shadowsong = na_west,
    SilverHand = na_west,
    Sivlermoon = na_west,
    Skywall = na_west,
    Smolderthorn = na_west,
    Spirestone = na_west,
    Stonemaul = na_west,
    Stormscale = na_west,
    Suramar = na_west,
    Terenas = na_west,
    ThoriumBrotherhood = na_west,
    Tichondrius = na_west,
    Uldum = na_west,
    Veknilash = na_west,
    Windrunner = na_west,
    -- Brazillian
    Azralon = br,
    Nemesis = br,
    Goldrinn = br,
    TolBarad = br,
    Gallywix = br,

    -- Latin America
    QuelThalas = la,
    Drakkari = la,
    Ragnaros = la,
    -- Oceanic
    AmanThul = oc,
    Barthilas = oc,
    Caelestrasz = oc,
    DathRemar = oc,
    Dreadmaul = oc,
    Frostmourne = oc,
    Gundrak = oc,
    JubeiThos = oc,
    Khazgoroth = oc,
    Nagrand = oc,
    Saurfang = oc,
    Thaurissan = oc
}

---- Posts ----
RF.posts = {}
-- NA posts
RF.posts.na_east_post = RF.consolePrefix..'You are an on an'..postColour..'NA-EAST|r Server'
RF.posts.na_west_post = RF.consolePrefix..'You are an on an'..postColour..'NA-WEST|r Server'
RF.posts.oc_post      = RF.consolePrefix..'You are an on an'..postColour..'OC|r Server'
RF.posts.la_post      = RF.consolePrefix..'You are an on an'..postColour..'LA|r Server'
RF.posts.br_post      = RF.consolePrefix..'You are an on a'..postColour..'BR|r Server'
